#include <iostream>
#include <math.h>
#include <stdio.h>
using namespace std;


int main()
{   int n, k, niz[20000], mesto;
    cin >> n  >> k;
    for(int i = 0; i < n; i++){
        cin >> niz[i];
        if(niz[i] == k){
            mesto=i;
        }
    }
    if(mesto == n-1){
        cout << niz[0];
    }
    else cout << niz[mesto+1];

    return 0;
}